# glance.common.location_strategy.location_order

# Source code for glance.common.location_strategy.location_order

    # Copyright 2014 IBM Corp.
    # All Rights Reserved.
    #
    #    Licensed under the Apache License, Version 2.0 (the "License"); you may
    #    not use this file except in compliance with the License. You may obtain
    #    a copy of the License at
    #
    #         http://www.apache.org/licenses/LICENSE-2.0
    #
    #    Unless required by applicable law or agreed to in writing, software
    #    distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
    #    WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
    #    License for the specific language governing permissions and limitations
    #    under the License.

    """Image location order based location strategy module"""

    def get_strategy_name():
        """Return strategy module name."""
        return 'location_order'

    def init():
        """Initialize strategy module."""
        pass

    def get_ordered_locations(locations, **kwargs):
        """
        Order image location list.

        :param locations: The original image location list.
        :returns: The image location list with original natural order.
        """
        return locations

this page last updated: 2026-03-19 02:17:34

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug